Skip to main content
GET
Get transactions for all client accounts
Get all transactions for all accounts for a given client. Transactions can be filtered by value date and time. If no value date and time filter is set, it will return the latest 50 transactions. Retrieving transactions with value date and time before June 1st, 2019 is not supported yet.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

currencies
string
required

A comma-separated list of currency codes compliant to ISO 4217

client_id
string
required

The ID of the client

credit_debit_indicator
enum<string>

Filter transactions by debit/credit type

Available options:
credit,
debit
from_value_datetime
string

Only return transactions with value date and time after this UTC date and time. YYYY-MM-DDThh:mm format

to_value_datetime
string

Only return transactions with value date and time before this UTC date and time. YYYY-MM-DDThh:mm format

page
integer
default:1

The desired page number for pagination

Required range: x >= 1
page_size
integer
default:50

The number of items per page for pagination

Required range: x >= 1
transaction_type
enum<string>[]

A comma-separated list of transaction types.

Available options:
credit,
debit,
incoming,
margin,
payment_returned
extended_details
boolean
default:false

Include extended transaction details in the response

Response

A list with the client's transactions.

account_id
string
required

The UUID of the account.

additional_transaction_information
string
required

Additional information for the transaction.

amount
object
required
balance
object
required
booking_datetime
string
required

Date and time (UTC) when the transaction was booked

client_id
string
required

Identifier of the client.

credit_debit_indicator
enum<string>
required

Whether the balance is credit or debit

Available options:
Credit,
Debit
status
enum<string>
required

This is an enumeration of the types of status for a transaction.

Available options:
Booked
transaction_id
string
required

The UUID of the transaction.

transaction_information
string
required

Basic information for the transaction

transaction_reference
string
required

Reference for the transaction

transaction_type
enum<string>
required

Type of the transaction

Available options:
credit,
debit,
incoming,
margin,
payment_returned
value_datetime
string
required

Value date and time (UTC) of the transaction

creditor_account
object
creditor_name
string

Name of the creditor

debtor_account
object
debtor_name
string

Name of the debtor

additional_information
string | null

Additional information about the transaction (only returned when extended_details=true)

beneficiary_party
object | null

Details about the beneficiary party (only returned when extended_details=true)

cashback
object | null

Cashback information (only returned when extended_details=true)

concept
string | null

Transaction concept (only returned when extended_details=true)

end_reference
string | null

End-to-end reference (only returned when extended_details=true)

fee
object | null

Fee information (only returned when extended_details=true)

funds_code
string

Funds code indicator (only returned when extended_details=true)

margin_call
object | null

Margin call information (only returned when extended_details=true)

ordering_party
object | null

Details about the ordering party (only returned when extended_details=true)

payment
object | null

Payment information (only returned when extended_details=true)

remittance_information
string | null

Remittance information (only returned when extended_details=true)

returned
string | null

Indicates if the payment was returned (only returned when extended_details=true)

schema
string | null

Schema information (only returned when extended_details=true)

swift_address
object | null

SWIFT address details (only returned when extended_details=true)

trade
object | null

Trade information (only returned when extended_details=true)

uetr
string | null

Unique End-to-End Transaction Reference (only returned when extended_details=true)